Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Points

List
GET /highscores/{highscoreId}/points
https://api.relesysapp.net/api/v1.4/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.

isManuallyGiven indicates whether a point entry has been manually given or not.
isActive indicates whether a point entry is given after the highscore's last time of point reset.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isActive boolean Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
value integer Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"ed7c4e47-7b4e-4606-9dc7-ed5c637cbdaa","userId":"a2d9a163-cb7e-449c-b0c6-e52809ab5e22","creationDateTime":"2026-09-29T14:11:05.6884752+00:00","description":"Example description 1","isManuallyGiven":true,"isActive":false,"value":10},{"id":"42064ac5-58e6-4346-ba1c-6f440d1c4902","userId":"6fb60e19-854f-4c35-8e15-e82e6eb34393","creationDateTime":"2026-10-02T14:11:05.6884752+00:00","description":"Example description 2","isManuallyGiven":false,"isActive":true,"value":25}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isActive boolean      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string